version: '2.1'

services:
  autossh:
    container_name: ${TUNNEL_NAME}
    image: kilik/autossh:latest
    build: docker/autossh
    env_file:
      - .env
    restart: unless-stopped
    volumes:
      - ${ID_RSA}:/id_rsa:ro
    mem_limit: ${MEM_LIMIT}
    mem_reservation: ${MEM_RESERVATION}

networks:
  default:
    external:
      name: ${LOCAL_NETWORK}
